Subject: Re: bug#75410: [PATCH] image-dired: Add extra keybinds for navigation

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Jan 2025 18:05:15 -0600

Gabriel Santos <[email-masked]> writes:

> Greetings,
>
> I discovered this mode through a blog post from Sacha:
>
> <https://sachachua.com/blog/2025/01/using-image-dired-to-browse-the-latest-screenshots-from-multiple-directories/>
>
> And I really liked it.

That's good to hear!

> Though, I felt that it was missing something:
>
> Some keybinds for navigation besides C-n and C-p, like those found in
> other read-only modes, such as dired-mode.
>
> This patch binds the following keys in `image-dired-thumbnail-mode-map':
>
> - "f" :: `image-dired-forward-image'
> - "b" :: `image-dired-backward-image'
> - "n" :: `image-dired-next-line'
> - "p" :: `image-dired-previous-line'
> - "a" :: `image-dired-move-beginning-of-line'
> - "e" :: `image-dired-move-end-of-line'
>
> These keys are currently unused in the mode.
>
> Regards,

Thanks for the patch!  I think this is a good idea, and the patch looks
good to go, but such a change should be announced in NEWS, to let people
know about it.

Could you please resubmit with such an addition?